// Liquid Shader Definitions for TRANSFUSION
// by Predator
// last edit: 11.12.2005 by Predator

textures/transfusion_liquids/tfwater1
{
		qer_editorimage textures/transfusion_liquids/water.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm noimpact
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/water.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/water.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/water.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_one
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfwater2
{
		qer_editorimage textures/transfusion_liquids/water1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm noimpact
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/water1.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/water1.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/water1.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_one
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfwater3
{
		qer_editorimage textures/transfusion_liquids/water2.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm noimpact
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{
			map textures/transfusion_liquids/water2.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/water2.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/water2.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_one
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfwater4
{
		qer_editorimage textures/transfusion_liquids/water3a.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm noimpact
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{
			map textures/transfusion_liquids/water3a.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/water3b.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/water3d.tga
			blendFunc GL_one GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_one
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfvomit
{
		qer_editorimage textures/transfusion_liquids/vomit.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/vomit.tga
			blendFunc GL_one GL_dst_color
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/vomit.tga
			blendFunc GL_one GL_dst_color
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/vomit.tga
			blendFunc GL_one GL_dst_color
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfshit
{
		qer_editorimage textures/transfusion_liquids/shit.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/shit.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/shit.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/shit.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfblood
{
		qer_editorimage textures/transfusion_liquids/blood.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/blood.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/blood.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/blood.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfblood2
{
		qer_editorimage textures/transfusion_liquids/blood2.tga
		qer_trans .5
		q3map_globaltexture
//		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/blood2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/blood2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/blood2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfremains
{
		qer_editorimage textures/transfusion_liquids/remains.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/remains.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/remains.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/remains.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfremains2
{
		qer_editorimage textures/transfusion_liquids/remains2.tga
		qer_trans .5
		q3map_globaltexture
//		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm slick

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/remains2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/remains2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/remains2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

// killing liquids

textures/transfusion_liquids/tfmolten
{
		qer_editorimage textures/transfusion_liquids/molten.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm lava
//		surfaceparm trans
//		surfaceparm nonsolid
//		surfaceparm nolightmap
		q3map_surfacelight 600

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/molten.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/molten.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/molten.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_dst_color
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfmolten1
{
		qer_editorimage textures/transfusion_liquids/molten1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm lava
//		surfaceparm trans
//		surfaceparm nonsolid
//		surfaceparm nolightmap
		q3map_surfacelight 700

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/transfusion_liquids/molten1.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/molten1.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/molten1.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_dst_color
			rgbgen identity		
		}
}

textures/transfusion_liquids/tflava
{
		qer_editorimage textures/transfusion_liquids/lava.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm lava
//		surfaceparm trans
//		surfaceparm nonsolid
		surfaceparm noimpact
//		surfaceparm nolightmap
		q3map_surfacelight 777

		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.1	
	
		
		{ 
			map textures/transfusion_liquids/lava.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/lava.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/lava.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_dst_color
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1		
		}
}

textures/transfusion_liquids/tflava1
{
		qer_editorimage textures/transfusion_liquids/lava1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm lava
//		surfaceparm trans
//		surfaceparm nonsolid
		surfaceparm noimpact
//		surfaceparm nolightmap
		q3map_surfacelight 820

		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.1	
	
		
		{ 
			map textures/transfusion_liquids/lava1.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/lava1.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/lava1.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_dst_color
//			rgbgen identity
			rgbgen wave sin (0.82,0.82,0.82) 0.17 0 1		
		}
}

textures/transfusion_liquids/tflava2
{
		qer_editorimage textures/transfusion_liquids/lava2.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm lava
//		surfaceparm trans
//		surfaceparm nonsolid
		surfaceparm noimpact
//		surfaceparm nolightmap
		q3map_surfacelight 1200

		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.1	
	
		
		{ 
			map textures/transfusion_liquids/lava2.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.77,0.77,0.77) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/lava2.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.77,0.77,0.77) 0.17 0 1
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/lava2.tga
			blendFunc GL_one GL_zero
//			rgbgen identity
			rgbgen wave sin (0.77,0.77,0.77) 0.17 0 1
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_one GL_dst_color
//			rgbgen identity
			rgbgen wave sin (0.77,0.77,0.77) 0.17 0 1
		}
}

textures/transfusion_liquids/tfslime
{
		qer_editorimage textures/transfusion_liquids/slime.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nolightmap
		surfaceparm slime
        q3map_surfacelight 250
		
		cull disable
		deformVertexes wave 100 sin 0 1 .5 .5	
	
		
		{ 
			map textures/transfusion_liquids/slime.tga
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/slime.tga
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/slime.tga
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity		
		}
}

textures/transfusion_liquids/tfslime1
{
		qer_editorimage textures/transfusion_liquids/slime1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nolightmap
		surfaceparm slime
        q3map_surfacelight 333
		
		cull disable
		deformVertexes wave 100 sin 0 1 .5 .5	
	
		
		{ 
			map textures/transfusion_liquids/slime1.tga
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/transfusion_liquids/slime1.tga
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			textures/transfusion_liquids/slime1.tga
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity		
		}
}